### Method

# EDataCal CalCacheSearchData copy

since: 3.26

#### Declaration [src]

    ECalCacheSearchData*
    e_cal_cache_search_data_copy (
      const ECalCacheSearchData* data
    )

#### Description

No description available.

Available since: 3.26

#### Parameters

`data`

  Type: `ECalCacheSearchData`

  A source `ECalCacheSearchData` to copy, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `ECalCacheSearchData`

Copy of the given `data`. Free it with `e_cal_cache_search_data_free()` when no longer needed. If the `data` is `NULL`, then returns `NULL` as well.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.